Skip to main content
POST
/
api
/
v0
/
companies
/
{company_id}
/
sso-connections
Configure SSO for a company.
curl --request POST \
  --url https://api.example.com/api/v0/companies/{company_id}/sso-connections \
  --header 'Content-Type: application/json' \
  --data '
{
  "providerBaseUrl": "<string>",
  "clientId": "<string>",
  "clientSecret": "<string>",
  "domains": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "providerBaseUrl": "<string>",
  "clientId": "<string>",
  "clientSecret": "<string>",
  "domains": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "username": "<string>",
    "avatar": "<string>",
    "disabledAt": "2023-11-07T05:31:56Z"
  },
  "lastUpdatedAt": "2023-11-07T05:31:56Z",
  "lastUpdatedBy": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "username": "<string>",
    "avatar": "<string>",
    "disabledAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

company_id
string<uuid>
required

Body

application/json
provider
enum<string>
required
Available options:
okta,
entra
providerBaseUrl
string
required
clientId
string
required
clientSecret
string
required
domains
string[]
required

Response

SSO successfully configured

Company SSO settings.

id
string<uuid>
required
companyId
string<uuid>
required
provider
enum<string>
required

The SSO provider for this connection.

Available options:
okta,
entra
providerBaseUrl
string
required

A base URL of an identity provider (like Okta domain). Is used to compile configuration.

clientId
string
required

Oauth app Client ID.

clientSecret
string
required

Oauth app Client Secret. Masked value that is not stored in its original form in DB.

domains
string[]
required

A list of domains associated with this SSO connection. Users with emails registered on those domains will be tried to authenticate with this connection.

createdAt
string<date-time>
required

A time of creation.

createdBy
object
required

An id of a user who created this SSO connection.

lastUpdatedAt
string<date-time>
required

A time of last update.

lastUpdatedBy
object
required

An id of the last user who updated this SSO connection.